cURL
curl --request GET \ --url https://api.example.com/api/v1/staking/vaults/{id}/preview
{ "code": 0, "msg": "ok", "data": { "assets": "1000", "sharesPreview": "998.12", "withdrawAssetsPreview": "999.50", "feePreview": "1.50", "pricePerShare": "1.0019" } }
返回 Vault 产品的申购或赎回预估结果。
Documentation IndexFetch the complete documentation index at: https://docs.nexfi.robert.dpdns.org/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.nexfi.robert.dpdns.org/llms.txt
Use this file to discover all available pages before exploring further.
Vault 产品 ID。
"base_usdc_nexfi_vault"
输入资产金额,与 shares 互斥。
shares
"1000"
输入份额数量,与 assets 互斥。
assets
"998.12"
成功返回预估结果
统一响应包裹结构。
业务状态码,0 表示成功。
0
可读返回消息。
"ok"
Vault 预估结果。
Show child attributes